*Nathan Shekita

ed_paper2

******************************************

use ${dd}\ed_episodes_cleaned.dta, clear

gen total_eps=1

*find OON rate at the hospital-quarter level
collapse(sum) oon_ind total_eps (first) state, by(aha qgroup)

bysort aha qgroup: gen inout_ratio=oon_ind/total_eps

*only want these two time periods (2013 Q1 and 2015 Q4)
keep if qgroup==9 | qgroup==20 
keep if state=="NY"

*weighting OON rate by number of episodes
bysort qgroup: gen num=inout_ratio*total_eps
bysort qgroup: egen num2=sum(num)
bysort qgroup: egen bum=sum(total_eps)

gen wt_2011=num2/bum if qgroup==9
gen wt_2015=num2/bum if qgroup==20 

summ wt_2011
	loc m1 = r(mean)

summ wt_2015
	loc m2=r(mean)


graph set window fontface "Times New Roman"

*Kernel density for two time periods in 2013 and 2015
	local blue `""33 102 172""'
	local red `""178 24 43""'
twoway( kdensity inout_ratio if state=="NY" & qgroup==9, lcolor(`blue')) (kdensity inout_ratio if state=="NY" & qgroup==20, lcolor(`red')), ///
xline(`m2', lcolor(`red')) xline(`m1', lcolor(`blue')) xtitle("Out-of-Network Rate") || scatteri 0 1, msymbol(i) xaxis(2) xtitle("", axis(2)) xscale(noline range(0 1) axis(2)) ///
xlab(.05 `""2015 Average" "    .064""' .2 `""          2013 Average" ".201""',  labsize(small) axis(2)) legend(pos(14) order(1 "NY, 2013 Q1" 2 "NY, 2015 Q4"))

graph export ${o}\final_figures\ny_kdensity.png, width(1500) height(1000) as(png) replace

