
local glevel emcare teamhealth
foreach f of local glevel {

use ${dd}\ed_episodes_cleaned.dta, clear
sort year_start bi_ind
egen bigroup=group(year_start bi_ind)
egen mogroup=group(year_start month_start)

*use the proper sample
merge m:1 aha using ${sc}/group_levels/`f'_fullsample.dta
	keep if _merge==3
	drop _merge

*episodes per year
bysort aha year_start: gen ep_counts=_N

*define the entry
if ("`f'"=="emcare_high" | "`f'"=="emcare_low" | "`f'"=="emcare") {
rename emcare_entry entry_marker
}

if ("`f'"=="teamhealth_high" | "`f'"=="teamhealth_low" | "`f'"=="teamhealth") {
rename teamhealth_entry entry_marker
}

estimates clear
*Looking at entry regressions only in states where hospitals have entry
preserve

if ("`f'"=="emcare_high" | "`f'"=="emcare_low" | "`f'"=="emcare") {
keep if state_mark=="emcare"
}

if ("`f'"=="teamhealth_high" | "`f'"=="teamhealth_low" | "`f'"=="teamhealth") {
keep if state_mark=="teamhealth"
}

foreach var of varlist oon_ind phys_charge phys_payment fac_charge fac_payment imaging_ind adm_ind ep_counts proc5_ind {

eststo: areg `var' i.mogroup entry_marker pat_female i.pat_age i.pat_race charind, absorb(aha) vce(cluster aha)
estadd ysumm
esttab using ${o}/final_tables/`f'_outcomes_state.csv, stats(ymean ysd N) replace se ///
	nogaps drop(_cons *mogroup* *pat_age* *pat_race* pat_female charind) r2 noparentheses starlevels(* 0.10 ** 0.05 *** 0.01)
	
	}

*********************************
*Using propensity score matches, only keep hospitals that are most similar to those with entry

estimates clear
restore

merge m:1 aha using ${sc}/datasets/`f'_neighbor.dta
keep if _merge==3

foreach var of varlist oon_ind phys_charge phys_payment fac_charge fac_payment imaging_ind adm_ind ep_counts proc5_ind {

eststo: areg `var' i.mogroup entry_marker pat_female i.pat_age i.pat_race charind, absorb(aha) vce(cluster aha)
estadd ysumm
esttab using ${o}/final_tables/`f'_outcomes_propweight.csv, stats(ymean ysd N) replace se ///
	nogaps drop(_cons *mogroup* *pat_age* *pat_race* pat_female charind) r2 noparentheses starlevels(* 0.10 ** 0.05 *** 0.01)
	

	}


}











