
local glevel emcare
foreach f of local glevel {


use ${dd}\ed_episodes_cleaned.dta, clear
sort year_start bi_ind
egen bigroup=group(year_start bi_ind)
egen mogroup=group(year_start month_start)

estimates clear

*use the proper sample
merge m:1 aha using ${sc}/group_levels/`f'_fullsample.dta
keep if _merge==3
drop _merge

*episodes per year
bysort aha year_start: gen ep_counts=_N


*Here we define the proper time for the different levels of entry we look at

*creating entry at t-2, t-1, t, t+1, and t+2
gen `f'_l2=`f'_year_entry-2
gen `f'_l1=`f'_year_entry-1
gen `f'_a1=`f'_year_entry+1
gen `f'_a2=`f'_year_entry+2

*Go through each new entry period (t-2, t-1, t+1, t+2) and redefine a hospitals entry
*based off of the new year it starts in. For example, a hospital with entry in 2013,October now
*has entry in 2011,October and on. We do this at the year month level.
local cat=0
local looper `f'_l2 `f'_l1 `f'_a1 `f'_a2
foreach z of local looper {
	replace `z'=2011 if `z'<2011
	local cat=`cat'+1
	gen `f'_entry`cat'=.
	replace `f'_entry`cat'=1 if `z'==year_start & `f'_month_entry==month_start
	sort aha year_start month_start
	bysort aha: replace `f'_entry`cat'=`f'_entry`cat'[_n-1] if missing(`f'_entry`cat')
	replace `f'_entry`cat'=0 if `f'_entry`cat'==.
}

*Entry at true time
gen `f'_entry_norm=.
replace `f'_entry_norm=1 if `f'_year_entry==year_start & `f'_month_entry==month_start

sort aha year_start month_start
bysort aha: replace `f'_entry_norm=`f'_entry_norm[_n-1] if missing(`f'_entry_norm)
replace `f'_entry_norm=0 if `f'_entry_norm==.


*looping through all variables 
foreach var of varlist phys_charge phys_payment fac_charge fac_payment imaging_ind adm_ind ep_counts proc5_ind  {

*Version 1 (all other hospitals included)
eststo: areg `var' i.mogroup `f'_entry1 `f'_entry2 `f'_entry_norm `f'_entry3 `f'_entry4 pat_female i.pat_age i.pat_race charind , absorb(aha) vce(cluster aha)
estadd ysumm
esttab using ${o}/final_tables/`f'_outcomes_timelag.csv, stats(ymean ysd N) replace se ///
	nogaps drop(_cons *mogroup* *pat_age* *pat_race* pat_female charind) r2 noparentheses starlevels(* 0.10 ** 0.05 *** 0.01)
	
}

}









