
local glevel emcare teamhealth
foreach g of local glevel {

use ${dd}\ed_episodes_cleaned.dta, clear

*Merge in AHA characteristics and hospital HHI's

bysort aha: gen first_inst=_n==1
keep if first_inst==1
drop first_inst

rename year_start year 

merge 1:m aha using ${dd}\aha_characteristics.dta
	keep if _merge==3
	drop _merge

gsort aha -year_start

bysort aha: gen first_inst=_n==1
keep if first_inst==1

rename county merge_fips
destring merge_fips, replace
merge m:1 merge_fips using ${dd}\hli_hhis.dta
	drop if _merge==2
	drop _merge

*Exclude entry hospitals from identified hospitals from map/job listigs
replace `g'_hosp=0 if `g'_entry_ind==1
keep if `g'_entry_ind==1 | `g'_hosp==1

*Non-profit, profit, and government

drop aha_c_np aha_c_g
qui gen aha_c_p  = inrange(aha_cntrl,31,33)
qui gen aha_c_np = inlist(aha_cntrl,21,23)
qui gen aha_c_g  = !aha_c_p&!aha_c_np

foreach var of varlist aha_mapp* {
	replace `var'=0 if `var'==2
}

preserve

gen testvar=`g'_entry_ind
replace testvar=0 if testvar==.
gen pstat=.

*T-test for each variable, compares entry hospitals to identified hospitals
local i=0
foreach var of varlist hli_hhi_all hli_uhgshare aha_syshhi_15m aha_c_g aha_c_np aha_c_p aha_hospbd aha_mapp8 aha_techtotal {
	local i= `i'+1
	ttest `var',by(testvar)
	replace pstat=r(p) if _n==`i'
}

keep if _n<10
keep pstat
gen orderme=_n
tempfile temp3
save `temp3', replace

restore



*Identified hospitals
preserve
	keep if `g'_hosp==1
	gen hmark=1
	collapse(mean) aha_syshhi_15m hli_uhgshare hli_hhi_all aha_mapp8 aha_techtotal aha_hospbd aha_c_p aha_c_np aha_c_g  (sum) hmark
	xpose, varname clear
	rename v1 `g'_hosps
	tempfile temp1
	save `temp1', replace

restore
*Entry hospitals
	keep if `g'_entry_ind==1
	gen hmark=1
	collapse(mean) aha_syshhi_15m hli_uhgshare hli_hhi_all aha_mapp8 aha_techtotal aha_hospbd aha_c_p aha_c_np aha_c_g (sum) hmark
	xpose, varname clear
	rename v1 `g'_entry
	tempfile temp2
	save `temp2', replace

merge 1:1 _varname using `temp1'
drop _merge

order _varname `g'_hosps `g'_entry
gen orderme=.

*Ordering for table
replace orderme=1 if _varname=="hli_hhi_all"
replace orderme=2 if _varname=="hli_uhgshare"
replace orderme=3 if _varname=="aha_syshhi_15m"
replace orderme=4 if _varname=="aha_c_g"
replace orderme=5 if _varname=="aha_c_np"
replace orderme=6 if _varname=="aha_c_p"
replace orderme=7 if _varname=="aha_hospbd"
replace orderme=8 if _varname=="aha_mapp8"
replace orderme=9 if _varname=="aha_techtotal"

merge 1:1 orderme using `temp3'
drop _merge

sort orderme


outsheet * using ${o}\final_tables\summarystats_hosp_`g'.csv, comma replace

}



















