*OON rate across hospitals
use ${dd}\ed_episodes_cleaned.dta, clear

*Count of OON episodes
gen total_eps_fac=1
gen outin_count=1 if in_net_phys_ind==0 & in_net_fac_ind==1 

*Collapse to hospital level
collapse(sum) outin_count total_eps_fac , by(aha)

*OON rate by hospital
bysort aha: gen inout_ratio=outin_count/total_eps_fac

keep inout_ratio total_eps_fac

*Creating 6 variable copies for mean,sd,p25,p50,p75,max
local list inout_ratio 
foreach l of local list {
	gen `l'1=`l'
	gen `l'2=`l'
	gen `l'3=`l'
	gen `l'4=`l'
	gen `l'5=`l'
	gen `l'6=`l'
}

collapse (mean) *1 (sd) *2 (p25) *3 (p50) *4 (p75) *5 (max) *6 
gen label="Hospital"

tempfile temp1
save `temp1', replace

********************************************************
*OON rate across HRR's, weighting by episodes
use ${dd}\ed_episodes_cleaned.dta, clear

*Count of OON episodes
gen total_eps_fac=1
gen outin_count=1 if in_net_phys_ind==0 & in_net_fac_ind==1 

*Collapse to HRR level
collapse(sum) outin_count total_eps_fac , by(hrr)

*Note there must be more than 2000 episodes for an HRR
drop if total_eps_fac<2000

bysort hrr: gen inout_ratio=outin_count/total_eps_fac

keep inout_ratio total_eps_fac

*Creating 6 variable copies for mean,sd,p25,p50,p75,max
local list inout_ratio 
foreach l of local list {
	gen `l'1=`l'
	gen `l'2=`l'
	gen `l'3=`l'
	gen `l'4=`l'
	gen `l'5=`l'
	gen `l'6=`l'
}

*Weight stats by number of episodes
collapse (mean) *1 (sd) *2 (p25) *3 (p50) *4 (p75) *5 (max) *6 [aw=total_eps_fac]
gen label="HRR"

append using `temp1'

outsheet * using ${o}\final_tables\summarystats_oonrates.csv, comma replace


